[Distutils] easy_install: fragment support

Phillip J. Eby pje at telecommunity.com
Sun Jul 17 04:50:45 CEST 2005

At 06:17 PM 7/16/2005 -0500, Ian Bicking wrote:
>I've attached a patch to detect fragments.

Would you mind doing it as a unidiff?  I'm having trouble 
understanding/applying it without context.  Thanks.

>It seems better to have some magic version string for development, that is 
>neither more or less than other versions (or at least it depends on 
>context -- it's the highest version number when using --develop [should 
>that be implemented], and the lowest otherwise).  But that's only useful 
>given a --develop option to easy_install.py.

I was actually thinking that such packages should have their Distribution 
object be of a new 'type', which would have lower precedence than other 
distribution types unless development mode was in effect (in which case 
other distribution types would be ignored).

More information about the Distutils-SIG mailing list